package com.xinelu.manage.service.scriptinfoedge;

import com.xinelu.manage.domain.scriptinfoedge.ScriptInfoEdge;

import java.util.List;

/**
 * 话术信息分支Service接口
 *
 * @author xinelu
 * @date 2024-06-12
 */
public interface IScriptInfoEdgeService {
    /**
     * 查询话术信息分支
     *
     * @param id 话术信息分支主键
     * @return 话术信息分支
     */
    ScriptInfoEdge selectScriptInfoEdgeById(Long id);

    /**
     * 查询话术信息分支列表
     *
     * @param scriptInfoEdge 话术信息分支
     * @return 话术信息分支集合
     */
    List<ScriptInfoEdge> selectScriptInfoEdgeList(ScriptInfoEdge scriptInfoEdge);

    /**
     * 新增话术信息分支
     *
     * @param scriptInfoEdge 话术信息分支
     * @return 结果
     */
    int insertScriptInfoEdge(ScriptInfoEdge scriptInfoEdge);

    /**
     * 修改话术信息分支
     *
     * @param scriptInfoEdge 话术信息分支
     * @return 结果
     */
    int updateScriptInfoEdge(ScriptInfoEdge scriptInfoEdge);

    /**
     * 批量删除话术信息分支
     *
     * @param ids 需要删除的话术信息分支主键集合
     * @return 结果
     */
    int deleteScriptInfoEdgeByIds(Long[] ids);

    /**
     * 删除话术信息分支信息
     *
     * @param id 话术信息分支主键
     * @return 结果
     */
    int deleteScriptInfoEdgeById(Long id);
}
